org.apache.hc.core5.http.config

## Class NamedElementChain<E>

- java.lang.Object
- - org.apache.hc.core5.http.config.NamedElementChain<E>

- Type Parameters:
    `E` -

      public class NamedElementChain<E>
      extends Object

  Chain of doubly linked elements.

  This implementation makes no attempts to ensure uniqueness of element names.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `NamedElementChain.Node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedElementChain()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedElementChain.Node` | `addAfter(String existing, E value, String name)`
    `NamedElementChain.Node` | `addBefore(String existing, E value, String name)`
    `NamedElementChain.Node` | `addFirst(E value, String name)`
    `NamedElementChain.Node` | `addLast(E value, String name)`
    `NamedElementChain.Node` | `find(String name)`
    `NamedElementChain.Node` | `getFirst()`
    `NamedElementChain.Node` | `getLast()`
    `int` | `getSize()`
    `boolean` | `remove(String name)`
    `boolean` | `replace(String existing, E value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedElementChain

          public NamedElementChain()

  - ### Method Detail

    - #### getFirst

          public NamedElementChain.Node getFirst()

    - #### getLast

          public NamedElementChain.Node getLast()

    - #### addFirst

          public NamedElementChain.Node addFirst(E value,
                                                 String name)

    - #### addLast

          public NamedElementChain.Node addLast(E value,
                                                String name)

    - #### find

          public NamedElementChain.Node find(String name)

    - #### addBefore

          public NamedElementChain.Node addBefore(String existing,
                                                  E value,
                                                  String name)

    - #### addAfter

          public NamedElementChain.Node addAfter(String existing,
                                                 E value,
                                                 String name)

    - #### remove

          public boolean remove(String name)

    - #### replace

          public boolean replace(String existing,
                                 E value)

    - #### getSize

          public int getSize()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.